Get sick days history
Returns a paginated list of all sick day records for the current employee.
What is returned:
- Start and end dates of sick periods
- Comments/notes about the illness
- Attached medical certificate file IDs (if provided)
Note: This endpoint is only available for employee accounts. Supports server-side pagination, sorting, and filtering via grid query parameters.
GET
/account/employee/sick-daysAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredQuery parameters
pagenumberPage number (1-based)
pageSizenumberNumber of items per page
viewIdstringView identifier for saved grid configurations
filtersstringJSON string containing filter configuration.
**Available Fields:**
- **id** (string): Sickness entry ID
- **dateFrom** (date): Sick leave start date
- **dateTo** (date): Sick leave end date
- **employeeId** (string): Employee ID
**Filter Structure:**
```json
[
{
"type": "string|number|date|set|boolean|array|task_status|task_type",
"fieldName": "field_name",
"value": {
"comparison": "comparison_type",
"value": "filter_value"
}
}
]
```
**Group Filters (AND/OR Combinations):**
```json
[
{
"type": "group",
"fieldName": "group0.18807479823070028",
"value": {
"type": "or",
"filters": [
{
"type": "string",
"fieldName": "fileName",
"value": {
"comparison": "contain",
"value": "aa"
}
},
{
"type": "number",
"fieldName": "rowCount",
"value": {
"comparison": ">=",
"value": 33
}
}
]
}
}
]
```
**Available Comparison Operators:**
- **id** (string): Sickness entry ID (string filter). Available comparisons: contain, not_contain, equal, starts_with, ends_with, is_empty, is_not_empty
- **dateFrom** (date): Sick leave start date (date filter). Available comparisons: equal, not_equal, >, <, >=, <=, between, lastMonth, thisMonth, is_empty, is_not_empty
- **dateTo** (date): Sick leave end date (date filter). Available comparisons: equal, not_equal, >, <, >=, <=, between, lastMonth, thisMonth, is_empty, is_not_empty
- **employeeId** (string): Employee ID (string filter). Available comparisons: contain, not_contain, equal, starts_with, ends_with, is_empty, is_not_empty
**Note:** Use `quickSearch` parameter for simple text search instead of adding it to filters.
sortstringJSON array of sort objects.
**Sortable Fields:**
- **id**: Sickness entry ID
- **dateFrom**: Sick leave start date
- **dateTo**: Sick leave end date
- **employeeId**: Employee ID
**Sort Structure:**
```json
[
{
"field": "field_name",
"direction": "asc|desc"
}
]
```
**Default Sort:** dateFrom (desc)
fieldsToReturnany[]Comma-separated list of field names to include in response items. If not provided, all fields are returned.
**Available Fields:** id, dateFrom, dateTo, employeeId, comment, attachedFilesIds
Responses
200
itemsSicknessRowResponse[]requiredShow propertiesHide properties
Array of
SicknessRowResponseattachedFilesIdsstring[]requiredcommentstring | nullrequireddateFromstringrequireddateTostringrequiredemployeeIdstringrequiredidstringrequiredpagenumberrequiredpageSizenumberrequiredtotalnumberrequired401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
404Employee not found
Request
curl -X GET "https://leadtime.app/api/public/account/employee/sick-days" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/account/employee/sick-days", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/account/employee/sick-days",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
{
"items": [
{
"attachedFilesIds": [
"file1.pdf",
"file2.jpg"
],
"comment": "Flu symptoms",
"dateFrom": "2024-06-01T00:00:00.000Z",
"dateTo": "2024-06-03T00:00:00.000Z",
"employeeId": "123e4567-e89b-12d3-a456-426614174001",
"id": "123e4567-e89b-12d3-a456-426614174000"
}
],
"page": 1,
"pageSize": 10,
"total": 15
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions
Employee not found